﻿/*Berechnung der Ergenisse des quantitativen Teils.

/*Zuerst den Pfad für den Datensatz Sieber_NUDEM.sav eingeben oder Datensatz "mit der Hand" öffnen und zu Zeile 9 springen.

GET
  FILE='C:\Users\.........\Sieber_NUDEM.sav'.
DATASET NAME Sieber_NUDEM WINDOW=FRONT.

 * Beginn der Berechnungen mit dem Datensatz Sieber_Nudem.sav
/*Alter der Probanden.

FREQUENCIES VARIABLES=AlterAng AlterPmD
  /FORMAT=NOTABLE
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

/*Untergruppen Alter Angehörige.

RECODE PA_1.4_Beziehung (1=1) (ELSE=0) INTO ehepartner_dummy.
VARIABLE LABELS  ehepartner_dummy 'Ehepartner Ja/Nein'.
VALUE LABELS   ehepartner_dummy 1 'Ja' 0 'Nein'.
FORMATS  ehepartner_dummy (F6).
VARIABLE LEVEL   ehepartner_dummy (NOMINAL).
EXECUTE.

SORT CASES  BY ehepartner_dummy.
SPLIT FILE LAYERED BY ehepartner_dummy.

FREQUENCIES VARIABLES=AlterAng 
  /FORMAT=NOTABLE
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

SPLIT FILE   OFF   .

/*Geschlecht.

FREQUENCIES VARIABLES= PA_1.2_Geschlecht PmD_1.2_Geschlecht
  /ORDER=ANALYSIS.

/*Beziehung.

FREQUENCIES VARIABLES=PA_1.4_Beziehung
  /ORDER=ANALYSIS.

/*Geschlecht der pflegenden Kinder und Schwiegerkinder.

USE ALL.
COMPUTE filter_$=(PA_1.4_Beziehung = 2 OR PA_1.4_Beziehung=3).
VARIABLE LABELS filter_$ 'PA_1.4_Beziehung = 2 OR PA_1.4_Beziehung=3 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

FREQUENCIES VARIABLES= PA_1.2_Geschlecht
  /ORDER=ANALYSIS.

USE   ALL   .

/*Bildungsabschluss neu gruppieren.

RECODE PA_1.5_Bildung (1=1) (MISSING=Copy) (2 thru 4=2) (5 thru Highest=3) INTO 
    Bildung_Schulabschluss_Cluster_pa.
VARIABLE LABELS  Bildung_Schulabschluss_Cluster_pa 'Einteilung der Schulabschlüsse PA'.
VALUE LABELS   Bildung_Schulabschluss_Cluster_pa 1'Niedrig' 2'Mittel' 3'Hoch'.
FORMATS Bildung_Schulabschluss_Cluster_pa (F6).
VARIABLE LEVEL   Bildung_Schulabschluss_Cluster_pa (ORDINAL   ).
EXECUTE.

RECODE  PmD_1.5_Bildung (1=1) (MISSING=Copy) (2 thru 4=2) (5 thru Highest=3) INTO 
    Bildung_Schulabschluss_Cluster_pmd.
VARIABLE LABELS  Bildung_Schulabschluss_Cluster_pmd 'Einteilung der Schulabschlüsse PmD'.
VALUE LABELS   Bildung_Schulabschluss_Cluster_pmd 1'Niedrig' 2'Mittel' 3'Hoch'.
FORMATS Bildung_Schulabschluss_Cluster_pmd (F6).
VARIABLE LEVEL   Bildung_Schulabschluss_Cluster_pmd (ORDINAL   ).  
EXECUTE.

FREQUENCIES VARIABLES= Bildung_Schulabschluss_Cluster_pa Bildung_Schulabschluss_Cluster_pmd 
  /ORDER=ANALYSIS.

/*Berufstätigkeit (Vergleich Ehepartner Ja/Nein).

SORT CASES  BY ehepartner_dummy.
SPLIT FILE LAYERED BY ehepartner_dummy.

FREQUENCIES VARIABLES=  PA_1.7_Beruf
  /ORDER=ANALYSIS.

/*Zwei Ehepartner gehen noch arbeiten, beides Frauen 047 und 059.

/*Grund für Nicht-Berufstätigkeit.

FREQUENCIES VARIABLES=   PA_1.8a_Beruf
  /ORDER=ANALYSIS.

/*Haushalt und Wohnsituation.

FREQUENCIES VARIABLES=   PA_2.1_Wohnort
  /ORDER=ANALYSIS.

/*Berechnung ob bei den Kindern/Schwieger die im Haushalt mit der PmD leben noch weitere Personen leben.

SPLIT FILE   off.

/*Berechnung wieviele Personen noch zusätzlich im Haus leben, wenn die pflegenden (Schwieger-)Kinder mit der PmD im Haushalt leben.

COMPUTE   kinder_weit_pers_haus=-999.
MISSING VALUES  kinder_weit_pers_haus (-999).

IF ((PA_1.4_Beziehung = 2 OR PA_1.4_Beziehung=3) AND  PA_2.1_Wohnort=1) kinder_weit_pers_haus= PA_2.3_Haushaltsgröße-2.
VARIABLE LABELS kinder_weit_pers_haus'Anzahl der weiteren Personen, wenn PMD mit Kinder im Haushalt lebt'.
VARIABLE LEVEL   kinder_weit_pers_haus (SCALE   ).  
FORMATS   kinder_weit_pers_haus (F6).
EXECUTE.

FREQUENCIES   kinder_weit_pers_haus.

/*Berechnung wieviele Personen leben bei pflegenden Ehepartnern noch zusätzlich im Haushalt.

COMPUTE   ehe_weit_pers_haus=-999.
MISSING VALUES  ehe_weit_pers_haus (-999).

IF (PA_1.4_Beziehung = 1 AND  PA_2.1_Wohnort=1) ehe_weit_pers_haus= PA_2.3_Haushaltsgröße-2.
VARIABLE LABELS   ehe_weit_pers_haus 'Anzahl Personen die bei Ehepartnern zusätzlich im Haushalt leben'.
VARIABLE LEVEL   ehe_weit_pers_haus (SCALE   ).
FORMATS   ehe_weit_pers_haus (F6).
EXECUTE.

FREQUENCIES   ehe_weit_pers_haus.

/*Pflegestufe Pflegeversicherung.

FREQUENCIES  PmD_1.8_Pflegeversicherung PmD_1.9_Pflegeversicherung PmD_1.11_Pflegeversicherung PmD_1.15_Pflegeversicherung PmD_1.16a_Unterstützung. 

/*Alterunterschied nach Geschlecht PmD.

SORT CASES  BY PmD_1.2_Geschlecht.
SPLIT FILE SEPARATE BY PmD_1.2_Geschlecht.

EXAMINE VARIABLES=AlterPmD
  /PLOT HISTOGRAM NPPLOT
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

SPLIT FILE   OFF   .

/*Signifikanztest Geschlecht.

/*Parametrisch.
T-TEST GROUPS=PmD_1.2_Geschlecht(0 1)
  /MISSING=ANALYSIS
  /VARIABLES=AlterPmD
  /CRITERIA=CI(.95).

*Nonparametric Tests: Independent Samples. 
NPTESTS 
  /INDEPENDENT TEST (AlterPmD) GROUP (PmD_1.2_Geschlecht) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

/*Kein signifikanter Unterschied.

/*Wieviele PmD sind verwitwet.

FREQUENCIES    PmD_1.4_Familienstand.

SORT CASES  BY PmD_1.2_Geschlecht.
SPLIT FILE SEPARATE BY PmD_1.2_Geschlecht.

FREQUENCIES    PmD_1.4_Familienstand.

SPLIT FILE   OFF   .

/*Wieviele PmD leben alleine im eigenen Haushalt.

FREQUENCIES  PmD_2.1a_Wohnen.

/*Wieviele von den verwitweten leben im Privathaushalt von den Kindern.

USE ALL.
COMPUTE filter_$=(PmD_1.4_Familienstand=4).
VARIABLE LABELS filter_$ 'PmD_1.4_Familienstand=4 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

FREQUENCIES    PmD_2.1a_Wohnen.

USE   ALL   .

/*Medical Funktional Status.

RECODE Anzahl_Erkrankungen_PA Anzahl_Erkrankungen_PmD (0=0) (MISSING=Copy) (1 thru 3=1) (4 thru 
    5=2) (6 thru Highest=3) INTO anzah_erkrank_cluster_pa anzahl_erkra_cluster_pmd.
VARIABLE LABELS  anzah_erkrank_cluster_pa 'Anzahl der Erkrankungen Cluster PA' 
    /anzahl_erkra_cluster_pmd 'Anzahl der erkrankungen Cluster PmD'.
VALUE LABELS   anzah_erkrank_cluster_pa 0'keine' 1'1-3' 2'4-5' 3'6 und mehr'.
VALUE LABELS   anzahl_erkra_cluster_pmd 0'keine' 1'1-3' 2'4-5' 3'6 und mehr'.
FORMATS   anzah_erkrank_cluster_pa (F6).
FORMATS   anzahl_erkra_cluster_pmd (F6).
EXECUTE.

FREQUENCIES   anzah_erkrank_cluster_pa anzahl_erkra_cluster_pmd Anzahl_Erkrankungen_PA Anzahl_Erkrankungen_PmD.

/*Cluster Herzkreislauferkrankung.

COMPUTE  herz_vask_pa_dummy=0.

IF PA_3.1a_Erkrankung=1 herz_vask_pa_dummy=1.
IF PA_3.1b_Erkrankung=1 herz_vask_pa_dummy=1.
IF PA_3.1c_Erkrankung=1 herz_vask_pa_dummy=1.
IF PA_3.1d_Erkrankung=1 herz_vask_pa_dummy=1.
IF PA_3.1e_Erkrankung=1 herz_vask_pa_dummy=1.
IF PA_3.1f_Erkrankung=1 herz_vask_pa_dummy=1.
VARIABLE LABELS herz_vask_pa_dummy'PA Herz-/Kreislauferkrankung ja/nein'.
VALUE LABELS   herz_vask_pa_dummy 0'Nein' 1'Ja'.
FORMATS   herz_vask_pa_dummy (F6).  
EXECUTE .

FREQUENCIES herz_vask_pa_dummy.  

COMPUTE  herz_vask_pmd_dummy=0.

IF PmD_3.1a_Krankheit=1 herz_vask_pmd_dummy=1.
IF PmD_3.1b_Krankheit=1 herz_vask_pmd_dummy=1.
IF PmD_3.1c_Krankheit=1 herz_vask_pmd_dummy=1.
IF PmD_3.1d_Krankheit=1 herz_vask_pmd_dummy=1.
IF PmD_3.1f_Krankheit=1 herz_vask_pmd_dummy=1.
VARIABLE LABELS herz_vask_pmd_dummy 'PA Herz-/Kreislauferkrankung ja/nein'.
VALUE LABELS   herz_vask_pmd_dummy 0'Nein' 1'Ja'.
FORMATS   herz_vask_pmd_dummy (F6). 
EXECUTE .

FREQUENCIES herz_vask_pmd_dummy.  

/*Krebserkrankungen.

FREQUENCIES   PmD_3.1u_Krankheit.

FREQUENCIES    PA_3.1u_Erkrankung  PA_3.1e_Erkrankung.

/*Schlaganfall.

FREQUENCIES   PmD_3.1e_Krankheit.

/*Diabetis Mellitus.

FREQUENCIES    PA_3.1g_Erkrankung PmD_3.1g_Krankheit.

/*Parkinson und Depression.

FREQUENCIES  PA_3.1s_Erkrankung PA_3.1t_Erkrankung  PmD_3.1s_Krankheit PmD_3.1t_Krankheit.

/*Magen-Darm Cluster.

COMPUTE   magen_pa_dummy=0.

IF  PA_3.1m_Erkrankung=1 magen_pa_dummy=1.
IF  PA_3.1n_Erkrankung=1 magen_pa_dummy=1.
IF  PA_3.1o_Erkrankung=1 magen_pa_dummy=1.
VARIABLE LABELS magen_pa_dummy 'PA Magen-/Darmerkrankung Ja/Nein'.
VALUE LABELS   magen_pa_dummy 0'Nein' 1'Ja'.
VARIABLE LEVEL   magen_pa_dummy (NOMINAL   ).
FORMATS   magen_pa_dummy (F6).  
EXECUTE.

COMPUTE   magen_pmd_dummy=0.

IF  PmD_3.1m_Krankheit=1 magen_pmd_dummy=1.
IF  PmD_3.1n_Krankheit=1 magen_pmd_dummy=1.
IF  PmD_3.1o_Krankheit=1 magen_pmd_dummy=1.
VARIABLE LABELS   magen_pmd_dummy 'PMD Magen-/Darmerkrankung Ja/Nein'.
VALUE LABELS   magen_pmd_dummy 0'Nein' 1'Ja'.
VARIABLE LEVEL   magen_pmd_dummy (NOMINAL   ).
FORMATS   magen_pmd_dummy (F6).
EXECUTE.

FREQUENCIES   magen_pa_dummy magen_pmd_dummy.

/*Muskel-/Skelett Erkrankungen.

COMPUTE  musko_pmd_dummy=0.

IF PmD_3.1h_Krankheit=1 musko_pmd_dummy=1.
IF PmD_3.1i_Krankheit=1 musko_pmd_dummy=1.
VARIABLE LABELS   musko_pmd_dummy 'PMD Muskel-/Skeletterkrankung Ja/Nein'.
VALUE LABELS   musko_pmd_dummy 0'Nein' 1'Ja'.
VARIABLE LEVEL   musko_pmd_dummy (NOMINAL   ).
FORMATS   musko_pmd_dummy (F6).
EXECUTE   .

FREQUENCIES   musko_pmd_dummy.

COMPUTE  musko_pa_dummy=0.

IF PA_3.1h_Erkrankung=1 musko_pa_dummy=1.
IF PA_3.1i_Erkrankung=1 musko_pa_dummy=1.
VARIABLE LABELS   musko_pa_dummy 'PA Muskel-/Skeletterkrankung Ja/Nein'.
VALUE LABELS   musko_pa_dummy 0'Nein' 1'Ja'.
FORMATS   musko_pa_dummy (F6).
EXECUTE   .

FREQUENCIES     musko_pa_dummy.


/*Beschwerden Demenz..

FREQUENCIES    PA_3.2a_Beschwerden PA_3.2b_Beschwerden PA_3.2h_Beschwerden PA_3.2m_Beschwerden
                          PmD_3.2a_Beschwerden PmD_3.2b_Beschwerden PmD_3.2h_Beschwerden PmD_3.2m_Beschwerden PmD_3.2m_Beschwerden.

FREQUENCIES    PmD_3.2f_Beschwerden.

/*Schmerzstärke.

FREQUENCIES VARIABLES=PA_3.3_Schmerzen PmD_3.3_Schmerzen
  /FORMAT=NOTABLE
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /HISTOGRAM NORMAL
  /ORDER=ANALYSIS.

/*NRS kategorisieren.

RECODE PmD_3.3_Schmerzen (MISSING=Copy) (Lowest thru 4=1) (5 thru 6=2) (7 thru Highest=3) INTO 
    nrs_index.
VARIABLE LABELS  nrs_index 'NRS Kategorien'.
VALUE LABELS   nrs_index 1'Leichte Schmerzen' 2'Mittelstarke Schmerzen' 3'Starke Schmerzen'.
VARIABLE LEVEL   nrs_index(ORDINAL   ).
MISSING VALUES   nrs_index(-88,-99).
FORMATS nrs_index (F6).
EXECUTE.

FREQUENCIES   nrs_index.

/*Sturz.

FREQUENCIES  PA_3.6_Sturz PA_3.7_Sturz PmD_3.6_Sturz PmD_3.7_Sturz.

/*ADL.

FREQUENCIES VARIABLES= ADL PmD_ADL
  /FORMAT=NOTABLE
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /HISTOGRAM NORMAL
  /ORDER=ANALYSIS.


RECODE ADL PmD_ADL (100=4) (MISSING=Copy) (Lowest thru 30=1) (35 thru 80=2) (85 thru 95=3) INTO 
    adl_kategorie PmD_adl_kategorie.
VARIABLE LABELS  adl_kategorie 'Barthel in Kategorien' /PmD_adl_kategorie 'Barthel Index in '+
    'Kategorien von PmD'.
VALUE LABELS   adl_kategorie 1'weitgehend pflegeabhängig' 2'hilfsbedürftig' 3'punktuell hilfsbedürftig' 4'selbständig'.
VALUE LABELS   PmD_adl_kategorie 1'weitgehend pflegeabhängig' 2'hilfsbedürftig' 3'punktuell hilfsbedürftig' 4'selbständig'.
VARIABLE LEVEL   adl_kategorie (ORDINAL   ).
VARIABLE LEVEL   PmD_adl_kategorie (ORDINAL   ).
FORMATS   adl_kategorie (F6).
FORMATS   PmD_adl_kategorie (F6).
EXECUTE.

FREQUENCIES adl_kategorie   PmD_adl_kategorie.


/*Vergleich ADL nach Geschlecht.
*Nonparametric Tests: Independent Samples. 
NPTESTS 
  /INDEPENDENT TEST (PmD_ADL) GROUP (PmD_1.2_Geschlecht) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

/*IADL.

SORT CASES  BY PA_1.2_Geschlecht.
SPLIT FILE SEPARATE BY PA_1.2_Geschlecht.

FREQUENCIES VARIABLES=IADL
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

SPLIT FILE   OFF.

SORT CASES  BY PmD_1.2_Geschlecht.
SPLIT FILE SEPARATE BY PmD_1.2_Geschlecht.

FREQUENCIES VARIABLES=PmD_IADL
  /FORMAT=NOTABLE
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

SPLIT FILE   OFF.

/*Frailty und GBB.

FREQUENCIES Frailty_Index.

FREQUENCIES VARIABLES=FrailtyScore
  /FORMAT=NOTABLE
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

/*Alterskategorie Frailty.

RECODE AlterAng (MISSING=Copy) (Lowest thru 64=0) (65 thru 74=1) (75 thru 84=2) (85 thru Highest=3) 
    INTO pa_alter_frail.
VARIABLE LABELS  pa_alter_frail 'Alterskategorie Frailty'.
VALUE LABELS   pa_alter_frail 0'bis 64 Jahre' 1'65 bis 74 Jahre' 2'75-84 Jahre' 3'85 und mehr Jahre'.
VARIABLE LEVEL   pa_alter_frail (ORDINAL   ).
FORMATS   pa_alter_frail (F6).
EXECUTE.

FREQUENCIES   pa_alter_frail.

CROSSTABS
  /TABLES=pa_alter_frail BY Frailty_Index
  /FORMAT=AVALUE TABLES
  /CELLS=COUNT
  /COUNT ROUND CELL.

/*Kognitiv und Emotional.

FREQUENCIES VARIABLES= GDS_total  PmD_GDS_total 
  /FORMAT=NOTABLE
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

FREQUENCIES   GDS_Stadium PmD_GDS_Stadium.

/*Vergleich Diagnose Demenz und GDS.

Compute vergl_diagn_gds=-999.
MISSING VALUES vergl_diagn_gds(-999).

IF  (PA_3.1t_Erkrankung=1 AND (GDS_Stadium=2 OR GDS_Stadium=3)) vergl_diagn_gds=0.
IF  (PA_3.1t_Erkrankung=1 AND GDS_Stadium=1) vergl_diagn_gds=1.
IF  (PA_3.1t_Erkrankung=0 AND (GDS_Stadium=2 OR GDS_Stadium=3)) vergl_diagn_gds=2.       
VARIABLE LABELS   vergl_diagn_gds 'Vergleich der Diagnose Demenz und dem Ergebnis der GDS'.
VALUE LABELS vergl_diagn_gds 0'Diagnose und GDS stimmen überein' 1'Laut GDS wird die Diagnose nicht bestätigt' 2'Keine Diagnose aber Verdacht auf Störung'.
VARIABLE LEVEL   vergl_diagn_gds (NOMINAL   ).
FORMATS   vergl_diagn_gds (F6).
EXECUTE.

FREQUENCIES   vergl_diagn_gds.

/*HPS.

FREQUENCIES VARIABLES=  HPS_Score  
  /FORMAT=NOTABLE
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

FREQUENCIES   HPS_Index.

/*Vergleich HPS mit den Nicht-diagnsoztizierten Depressiven.

RECODE vergl_diagn_gds (2=1) (ELSE=0) INTO Nicht_diag_depress_pa.
VARIABLE LABELS  Nicht_diag_depress_pa 'PA mit einer vom Arzt nicht diagnostizierten Depression'.
VALUE LABELS   Nicht_diag_depress_pa 0'Passende Diagnose' 1'Depression wurde nicht diagnostiziert'.
VARIABLE LEVEL   Nicht_diag_depress_pa (NOMINAL   ).
FORMATS   Nicht_diag_depress_pa (F6).
EXECUTE.

FREQUENCIES   Nicht_diag_depress_pa.

*Nonparametric Tests: Independent Samples. 
NPTESTS 
  /INDEPENDENT TEST (HPS_Score) GROUP (Nicht_diag_depress_pa) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

SORT CASES  BY Nicht_diag_depress_pa.
SPLIT FILE SEPARATE BY Nicht_diag_depress_pa.


FREQUENCIES VARIABLES=HPS_Score
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

SPLIT FILE   OFF .

/*NPI.

FREQUENCIES    Wahnideen Halluzinationen Agitation_Aggression Depression_Dysphorie Ängste Hochstimmung_Euphorie
                          Apathie_Gleichgültigkeit Enthemmung Reizbarkeit_Labilität Motorische_Störung Verhalten_in_der_Nacht Appetit_Essverhalten.

FREQUENCIES VARIABLES= NPI_Schweregrad_Gesamt NPI_Belastung_Gesamt
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

FREQUENCIES VARIABLES=Wahnideen_Schweregrad Halluzinationen_Schweregrad 
    Agitation_Aggression_Schweregrad Depression_Dysphorie_Schweregrad Ängste_Schweregrad 
    Hochstimmung_Euphorie_Schweregrad Apathie_Gleichgültigkeit_Schweregrad Enthemmung_Schweregrad 
    Reizbarkeit_Labilität_Schweregrad Motorische_Störung_Schweregrad Verhalten_in_der_Nacht_Schweregrad 
    Appetit_Essverhalten_Schweregrad
  /FORMAT=NOTABLE
  /STATISTICS=STDDEV MEAN
  /ORDER=ANALYSIS.

/*MMSE.

FREQUENCIES VARIABLES=  PmD_MMSE_total 
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

FREQUENCIES    PmD_MMSE_Stadium.

/*Mean Anzahl der Erkrankungen Pmd.

FREQUENCIES VARIABLES= Anzahl_Erkrankungen_PmD   
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

/*Bis zu welchen MMSE-Wert konnte die GDS beantwortet werden.

RECODE PmD_GDS_total (0 thru Highest=1) (ELSE=0) INTO gds_beantwortet_dummy.
VARIABLE LABELS  gds_beantwortet_dummy 'Konnte die GDS beantwortet werden Ja/Nein'.
VALUE LABELS gds_beantwortet_dummy 0'Nein' 1'Ja'.
VARIABLE LEVEL  gds_beantwortet_dummy (NOMINAL   ).
FORMATS   gds_beantwortet_dummy (F6).   
EXECUTE.

FREQUENCIES   gds_beantwortet_dummy.

SORT CASES  BY gds_beantwortet_dummy.
SPLIT FILE SEPARATE BY gds_beantwortet_dummy.

FREQUENCIES VARIABLES=  PmD_MMSE_total   
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

SPLIT FILE   OFF   .

/*PmD mehr wie 3 Medikamente.

FREQUENCIES   Assessment_H_PmD. 

/*Subjektiver Gesundheitszustand.

FREQUENCIES   PA_3.11_Gesundheit.

/*Leiden seit wieviel Jahren an Demenz.

FREQUENCIES VARIABLES=PmD_1.7b_Demenz
  /FORMAT=NOTABLE
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

/*NPI Häufigkeiten der Symptome.

FREQUENCIES    Wahnideen Halluzinationen Agitation_Aggression  Depression_Dysphorie Ängste Hochstimmung_Euphorie Apathie_Gleichgültigkeit 
Enthemmung Reizbarkeit_Labilität Motorische_Störung Verhalten_in_der_Nacht Appetit_Essverhalten.

/*Einschränkung der Sehfähigkeit.

FREQUENCIES    PmD_3.2j_Beschwerden.

/*signifikanter Unterschied zwischen Männer und Frauen (PmD) beim ADL.

SORT CASES  BY PmD_1.2_Geschlecht.
SPLIT FILE SEPARATE BY PmD_1.2_Geschlecht.

/*Prüfung auf Normalverteilung.
EXAMINE VARIABLES=PmD_ADL
  /PLOT HISTOGRAM NPPLOT
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

/*Keine Normalverteilung der beiden Gruppen.

SPLIT FILE   OFF.

*Nonparametric Tests: Independent Samples. 
NPTESTS 
  /INDEPENDENT TEST (PmD_ADL) GROUP (PmD_1.2_Geschlecht) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

/*Nicht signifikant.

/*signifikanter Unterschied zwischen Männer und Frauen (PmD) beim IADL.

***********************************Nicht legitim**************************************************

 * /*Z-Transformation Männer.
 * USE ALL.
 * COMPUTE filter_$=(PmD_1.2_Geschlecht = 0).
 * VARIABLE LABELS filter_$ 'PmD_1.2_Geschlecht = 0 (FILTER)'.
 * VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
 * FORMATS filter_$ (f1.0).
 * FILTER BY filter_$.
 * EXECUTE.

 * DESCRIPTIVES VARIABLES=PmD_IADL
  /SAVE
  /STATISTICS=MEAN STDDEV MIN MAX.

 * /*Z-Transformation Frauen.

 * USE ALL.
 * COMPUTE filter_$=(PmD_1.2_Geschlecht = 1).
 * VARIABLE LABELS filter_$ 'PmD_1.2_Geschlecht = 1 (FILTER)'.
 * VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
 * FORMATS filter_$ (f1.0).
 * FILTER BY filter_$.
 * EXECUTE.

 * DESCRIPTIVES VARIABLES=PmD_IADL
  /SAVE
  /STATISTICS=MEAN STDDEV MIN MAX.

 * Use all.

 * SORT CASES  BY PmD_1.2_Geschlecht.
 * SPLIT FILE SEPARATE BY PmD_1.2_Geschlecht.

 * /*Prüfung auf Normalverteilung.
 * EXAMINE VARIABLES=PmD_IADL
  /PLOT HISTOGRAM NPPLOT
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

 * /*Keine Normalverteilung der beiden Gruppen.

 * SPLIT FILE   OFF.

 *  /*Einfügen der Z-Werte der Frauen in die Männer-Variable ZzZz01.

*Nonparametric Tests: Independent Samples. 
 * NPTESTS 
  /INDEPENDENT TEST (ZzZz01) GROUP (PmD_1.2_Geschlecht) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

********************************************************************************

/*Mundgesundheit.

FREQUENCIES    PmD_7.1_Mundgesundheit PmD_7.2_Mundgesundheit PmD_7.3_Mundgesundheit PmD_7.4_Mundgesundheit
                           PmD_7.5_Mundgesundheit PmD_7.6_Mundgesundheit PmD_7.7_Mundgesundheit PmD_7.8_Mundgesundheit
                           PmD_7.9_Mundgesundheit PmD_7.10_Mundgesundheit PmD_7.11_Mundgesundheit PmD_7.12a_Mundgesundheit.

CROSSTABS
  /TABLES=PmD_MMSE_Stadium BY PmD_7.2_Mundgesundheit
  /FORMAT=AVALUE TABLES
  /CELLS=COUNT
  /COUNT ROUND CELL.

/*Ernährungsstatus.

/*Körpergewicht.

FREQUENCIES VARIABLES=PmD_4.1a_Gewicht
  /FORMAT=NOTABLE
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

/*Nach Geschlecht.
SORT CASES  BY PmD_1.2_Geschlecht.
SPLIT FILE LAYERED BY PmD_1.2_Geschlecht.

FREQUENCIES VARIABLES=PmD_4.1a_Gewicht
  /FORMAT=NOTABLE
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

SPLIT FILE   OFF   .

*Nonparametric Tests: Independent Samples. 
NPTESTS 
  /INDEPENDENT TEST (PmD_4.1a_Gewicht) GROUP (PmD_1.2_Geschlecht) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

FREQUENCIES   PmD_4.3_Gewicht.

FREQUENCIES   PmD_4.2a_Gewicht.

FREQUENCIES    PmD_4.1a_Gewicht.

FREQUENCIES    PmD_4.2b_Gewicht.

FREQUENCIES    PmD_4.6_Gewicht.


EXAMINE VARIABLES=PmD_4.1a_Gewicht PmD_4.2a_Gewicht
  /PLOT HISTOGRAM NPPLOT
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

T-TEST PAIRS=PmD_4.1a_Gewicht WITH PmD_4.2a_Gewicht (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.cht.


FREQUENCIES VARIABLES=PmD_4.1a_Gewicht
  /FORMAT=NOTABLE
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.


/*PmD Unterschiede bei Personen mit schwerer Erkrankung/Krankenhaus oder nicht.

/*Berechnung Kh-Dummy PMD.
Compute krankenhaus= (PmD_4.8d_Gewicht=1 OR PmD_4.8e_Gewicht=1).
EXECUTE   .

RECODE krankenhaus (MISSING=0).
EXECUTE.

VARIABLE LABELS   krankenhaus'PMD: Krankenhaus und schwere Erkrankung Dummy'.
VALUE LABELS   krankenhaus 0'Nein' 1'Ja'.
VARIABLE LEVEL   krankenhaus(NOMINAL   ).
FORMATS   krankenhaus (F6.0).
EXECUTE   .

FREQUENCIES   krankenhaus.

/*Berechnung des Gewichtsverlust innert 12 Monaten_Pa.

COMPUTE   ugv_12_Monate_pa=-999.
MISSING VALUES   ugv_12_Monate_pa(-999).

COMPUTE   ugv_12_Monate_pa= PA_4.1a_Gewicht- PA_4.5c_Gewicht.
VARIABLE LABELS   ugv_12_Monate_pa'Ungewollter Gewichtsverlust innerhalb der letzten 12 Monaten'.
VARIABLE LEVEL   ugv_12_Monate_pa(SCALE   ).
FORMATS   ugv_12_Monate_pa (F6.1).
EXECUTE   .

FREQUENCIES  ugv_12_Monate_pa.

 * Berechnung des Mittelwertes und SD derer PMD die UGV innert 12 Monaten.

COMPUTE   ugv_12_Monate_pmd=-999.
MISSING VALUES   ugv_12_Monate_pmd(-999).

COMPUTE   ugv_12_Monate_pmd=  PmD_4.1a_Gewicht- PmD_4.5c_Gewicht.
VARIABLE LABELS   ugv_12_Monate_pmd'PMD: Ungewollter Gewichtsverlust innerhalb der letzten 12 Monaten'.
VARIABLE LEVEL   ugv_12_Monate_pmd(SCALE   ).
FORMATS   ugv_12_Monate_pmd (F6.1).
EXECUTE   .

FREQUENCIES  ugv_12_Monate_pmd.


USE ALL.
COMPUTE filter_$=(ugv_12_Monate_pmd<0).
VARIABLE LABELS filter_$ 'ugv_12_Monate_pmd<0 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

FREQUENCIES VARIABLES=ugv_12_Monate_pmd
  /STATISTICS=STDDEV MEAN
  /ORDER=ANALYSIS.

USE   ALL   .

FREQUENCIES PmD_4.5c_Gewicht.

SORT CASES  BY krankenhaus.
SPLIT FILE SEPARATE BY krankenhaus.

FREQUENCIES VARIABLES=ugv_12_Monate_pmd
  /FORMAT=NOTABLE
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

EXAMINE VARIABLES=ugv_12_Monate_pmd
  /PLOT HISTOGRAM NPPLOT
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
 
SPLIT FILE   OFF   .

*Nonparametric Tests: Independent Samples. 
NPTESTS 
  /INDEPENDENT TEST (ugv_12_Monate_pmd) GROUP (krankenhaus) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

FREQUENCIES    Screening_B_PmD.

FREQUENCIES    PmD_4.6_Gewicht.

FREQUENCIES    PmD_4.11_Gewicht.

/*BMI.

FREQUENCIES VARIABLES=  BMI_PmD
  /FORMAT=NOTABLE
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.


SORT CASES  BY PmD_1.2_Geschlecht.
SPLIT FILE LAYERED BY PmD_1.2_Geschlecht.


FREQUENCIES VARIABLES=  BMI_PmD
  /FORMAT=NOTABLE
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

SPLIT FILE   off.

/*Berechnung BMI unter 20 kg/m².

RECODE BMI_PmD (MISSING=Copy) (Lowest thru 20=1) (20 thru Highest=0) INTO bmi_unter_20.
VARIABLE LABELS  bmi_unter_20 'PMD BMI< 20 kg/m² Dummy'.
MISSING VALUES   bmi_unter_20 (-99).
VALUE LABELS   bmi_unter_20 0'Nein' 1'Ja'.
VARIABLE LEVEL   bmi_unter_20 (NOMINAL   ).
FORMATS   bmi_unter_20 (F6).
EXECUTE.

FREQUENCIES   bmi_unter_20.

/*Verteilung des BMI nach Schweregrad der demenz.

SORT CASES  BY mmse_drei_stadien.
SPLIT FILE SEPARATE BY mmse_drei_stadien.

EXAMINE VARIABLES=BMI_PmD
  /PLOT HISTOGRAM NPPLOT
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

SPLIT FILE   OFF   .

/*BMI signifikanter Unterscheid nach Geschlecht.
*Nonparametric Tests: Independent Samples. 
NPTESTS 
  /INDEPENDENT TEST (BMI_PmD) GROUP (PmD_1.2_Geschlecht) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

/*Nach Demenz-Stadium.
*Nonparametric Tests: Independent Samples. 
NPTESTS 
  /INDEPENDENT TEST (BMI_PmD) GROUP (mmse_drei_stadien) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

/*Vergleich der einzelenen Gruppen Demenz mit BMI (Post-Hoc-test).

USE ALL.
COMPUTE filter_$=(mmse_drei_stadien <= 1).
VARIABLE LABELS filter_$ 'mmse_drei_stadien <= 1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

*Nonparametric Tests: Independent Samples. 
NPTESTS 
  /INDEPENDENT TEST (BMI_PmD) GROUP (mmse_drei_stadien) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

USE ALL.
COMPUTE filter_$=(mmse_drei_stadien  >= 1).
VARIABLE LABELS filter_$ 'mmse_drei_stadien  >= 1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

*Nonparametric Tests: Independent Samples. 
NPTESTS 
  /INDEPENDENT TEST (BMI_PmD) GROUP (mmse_drei_stadien) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

USE ALL.
COMPUTE filter_$=(mmse_drei_stadien = 0 or mmse_drei_stadien=2).
VARIABLE LABELS filter_$ 'mmse_drei_stadien = 0 and mmse_drei_stadien=2 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

*Nonparametric Tests: Independent Samples. 
NPTESTS 
  /INDEPENDENT TEST (BMI_PmD) GROUP (mmse_drei_stadien) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

USE   ALL   .

/*MNA.

FREQUENCIES    MNA_LF_INDEX_PmD.

FREQUENCIES VARIABLES=  MNA_LF_Score_PmD
  /FORMAT=NOTABLE
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

/*Vergleich des MNA-LF Score nach dem Schweregrad der demenz.

*Nonparametric Tests: Independent Samples. 
NPTESTS 
  /INDEPENDENT TEST (MNA_LF_Score_PmD) GROUP (mmse_drei_stadien) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

/*Post Hoc- Test.

USE ALL.
COMPUTE filter_$=(mmse_drei_stadien <= 1).
VARIABLE LABELS filter_$ 'mmse_drei_stadien <= 1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

*Nonparametric Tests: Independent Samples. 
NPTESTS 
  /INDEPENDENT TEST (MNA_LF_Score_PmD) GROUP (mmse_drei_stadien) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

USE ALL.
COMPUTE filter_$=(mmse_drei_stadien  >= 1).
VARIABLE LABELS filter_$ 'mmse_drei_stadien  >= 1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

*Nonparametric Tests: Independent Samples. 
NPTESTS 
  /INDEPENDENT TEST (MNA_LF_Score_PmD) GROUP (mmse_drei_stadien) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

USE ALL.
COMPUTE filter_$=(mmse_drei_stadien = 0 or mmse_drei_stadien=2).
VARIABLE LABELS filter_$ 'mmse_drei_stadien = 0 and mmse_drei_stadien=2 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

*Nonparametric Tests: Independent Samples. 
NPTESTS 
  /INDEPENDENT TEST (MNA_LF_Score_PmD) GROUP (mmse_drei_stadien) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

USE   ALL   .

/*Vergleich MNA-Score-LF nach Geschlecht.

EXAMINE VARIABLES=MNA_LF_Score_PmD BY PmD_1.2_Geschlecht
  /PLOT BOXPLOT STEMLEAF HISTOGRAM NPPLOT
  /COMPARE GROUPS
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

*Nonparametric Tests: Independent Samples. 
NPTESTS 
  /INDEPENDENT TEST (MNA_LF_Score_PmD) GROUP (PmD_1.2_Geschlecht) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

/*Genügend essen?.

FREQUENCIES    PmD_5.1_Ernährung.

/*Hausarzt hat auf Ernährung angesprochen.

FREQUENCIES    PmD_3.9_Arztbesuch PmD_3.10_Arztbesuch.

/*Ernährungsprobleme, Gewohnheiten und Unterstützungsbedarf.

/*Trinkmenge.

FREQUENCIES    PmD_5.4i_Ernährung.

FREQUENCIES    Assessment_M_PmD.

/*Essmenge.

FREQUENCIES    Assessment_J_PmD.

FREQUENCIES    PmD_5.4a_Ernährung PmD_5.4b_Ernährung.

FREQUENCIES    PmD_5.4k_Ernährung PmD_5.4l_Ernährung.

FREQUENCIES    Assessment_K3_PmD.

FREQUENCIES    PA_5.8d_Er_Hilfe.

FREQUENCIES    PA_5.6a_Ern_Hilfe PA_5.6b_Ern_Hilfe  PA_5.6c_Ern_Hilfe PA_5.6d_Ern_Hilfe PA_5.6e_Ern_Hilfe.

USE ALL.
COMPUTE filter_$=(PA_5.6b_Ern_Hilfe=1).
VARIABLE LABELS filter_$ 'PA_5.6b_Ern_Hilfe=1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

DESCRIPTIVES VARIABLES=PmD_MMSE_total
  /STATISTICS=MEAN STDDEV MIN MAX.

USE ALL.
COMPUTE filter_$=(PA_5.6e_Ern_Hilfe=1).
VARIABLE LABELS filter_$ 'PA_5.6e_Ern_Hilfe=1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

DESCRIPTIVES VARIABLES=PmD_MMSE_total
  /STATISTICS=MEAN STDDEV MIN MAX.

/*Hilfe beim Kleinschneiden.

USE ALL.
COMPUTE filter_$=(PA_5.6a_Ern_Hilfe=1).
VARIABLE LABELS filter_$ 'PA_5.6a_Ern_Hilfe=1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

DESCRIPTIVES VARIABLES=PmD_MMSE_total
  /STATISTICS=MEAN STDDEV MIN MAX.

/*Zeitweise anreichen.

USE ALL.
COMPUTE filter_$=(PA_5.6c_Ern_Hilfe=1).
VARIABLE LABELS filter_$ 'PA_5.6c_Ern_Hilfe=1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

DESCRIPTIVES VARIABLES=PmD_MMSE_total
  /STATISTICS=MEAN STDDEV MIN MAX.

/*Komplett eingeben.

USE ALL.
COMPUTE filter_$=(PA_5.6d_Ern_Hilfe=1).
VARIABLE LABELS filter_$ 'PA_5.6d_Ern_Hilfe=1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

DESCRIPTIVES VARIABLES=PmD_MMSE_total
  /STATISTICS=MEAN STDDEV MIN MAX.

/*Nahrung extra zubereiten.

USE   All.

FREQUENCIES    PA_5.7_Ern_Hilfe PA_5.8a_Ern_Hilfe PA_5.8b_Ern_Hilfe PA_5.8c_Er_Hilfe PA_5.8d_Er_Hilfe PA_5.8e_Er_Hilfe PA_5.8f_Er_Hilfe.

/*Weiche Kost, Püriert und Zahnprothese.

CROSSTABS
  /TABLES=PA_5.8b_Ern_Hilfe BY PmD_7.1_Mundgesundheit
  /FORMAT=AVALUE TABLES
  /CELLS=COUNT
  /COUNT ROUND CELL.

CROSSTABS
  /TABLES=PA_5.8a_Ern_Hilfe BY PmD_7.1_Mundgesundheit
  /FORMAT=AVALUE TABLES
  /CELLS=COUNT
  /COUNT ROUND CELL.

/*Weiche Kost.

USE ALL.
COMPUTE filter_$=(PA_5.8a_Ern_Hilfe=1 and PmD_7.1_Mundgesundheit >= 1).
VARIABLE LABELS filter_$ 'PA_5.8a_Ern_Hilfe=1 and PmD_7.1_Mundgesundheit >= 1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

DESCRIPTIVES VARIABLES=PmD_MMSE_total
  /STATISTICS=MEAN STDDEV MIN MAX.

/*Püriert.

USE ALL.
COMPUTE filter_$=(PA_5.8b_Ern_Hilfe=1 and PmD_7.1_Mundgesundheit >= 1).
VARIABLE LABELS filter_$ 'PA_5.8b_Ern_Hilfe=1 and PmD_7.1_Mundgesundheit >= 1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

DESCRIPTIVES VARIABLES=PmD_MMSE_total
  /STATISTICS=MEAN STDDEV MIN MAX.

USE   ALL   .

/*EdFED.

FREQUENCIES VARIABLES=  EDFEDSCORE
  /FORMAT=NOTABLE
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

COMPUTE edfed_unterstuetz=PA_9.5_EdFED + PA_9.6_EdFED + PA_9.7_EdFED + PA_9.8_EdFED.
VARIABLE LABELS  edfed_unterstuetz 'EdFED Unterstützungs-Score'.
VARIABLE LEVEL   edfed_unterstuetz (SCALE   ).
FORMATS   edfed_unterstuetz (F6).
EXECUTE.

COMPUTE edfed_verhalt=PA_9.9_EdFED + PA_9.10_EdFED + PA_9.11_EdFED + PA_9.12_EdFED + PA_9.13_EdFED 
    + PA_9.14_EdFED.
VARIABLE LABELS  edfed_verhalt 'EdFED Verhalten-Score'.
VARIABLE LEVEL   edfed_verhalt (SCALE   ).
FORMATS   edfed_verhalt (F6).
EXECUTE.

FREQUENCIES VARIABLES= edfed_unterstuetz edfed_verhalt  
  /FORMAT=NOTABLE
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

SORT CASES  BY mmse_drei_stadien.
SPLIT FILE SEPARATE BY mmse_drei_stadien.

FREQUENCIES VARIABLES= edfed_unterstuetz edfed_verhalt  
  /FORMAT=NOTABLE
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

SPLIT FILE   Off.

/*EdFED Dummy`s ob eine Symptom generell auftritt oder nicht.

RECODE PA_9.5_EdFED PA_9.6_EdFED PA_9.7_EdFED PA_9.8_EdFED PA_9.9_EdFED PA_9.10_EdFED PA_9.11_EdFED 
    PA_9.12_EdFED PA_9.13_EdFED PA_9.14_EdFED (0=0) (1 thru Highest=1) INTO edfed_frage1 edfed_frage2 
    edfed_frage3 edfed_frage4 edfed_frage5 edfed_frage6 edfed_frage7 edfed_frage8 edfed_frage9 
    edfed_frage10.
EXECUTE.

FREQUENCIES   edfed_frage1 edfed_frage2 
    edfed_frage3 edfed_frage4 edfed_frage5 edfed_frage6 edfed_frage7 edfed_frage8 edfed_frage9 
    edfed_frage10.

SORT CASES  BY mmse_drei_stadien.
SPLIT FILE SEPARATE BY mmse_drei_stadien.

FREQUENCIES   edfed_frage1 edfed_frage2 
    edfed_frage3 edfed_frage4 edfed_frage5 edfed_frage6 edfed_frage7 edfed_frage8 edfed_frage9 
    edfed_frage10.

SPLIT FILE   Off.

/*Integration Küchenarbeit.

FREQUENCIES   PA_8.4a_Ern_Teilhabe PA_8.4b_Ern_Teilhabe PA_8.4c_Ern_Teilhabe PA_8.4d_Ern_Teilhabe PA_8.4e_Ern_Teilhabe PA_8.4f_Ern_Teilhabe
                        PA_8.4g_Ern_Teilhabe.

CROSSTABS
  /TABLES=PA_8.4a_Ern_Teilhabe PA_8.4b_Ern_Teilhabe PA_8.4c_Ern_Teilhabe PA_8.4d_Ern_Teilhabe 
    PA_8.4e_Ern_Teilhabe PA_8.4f_Ern_Teilhabe PA_8.4g_Ern_Teilhabe BY PmD_1.2_Geschlecht
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ 
  /CELLS=COUNT
  /COUNT ROUND CELL.

RECODE PA_8.4a_Ern_Teilhabe PA_8.4b_Ern_Teilhabe PA_8.4c_Ern_Teilhabe PA_8.4d_Ern_Teilhabe 
    PA_8.4e_Ern_Teilhabe PA_8.4f_Ern_Teilhabe PA_8.4g_Ern_Teilhabe (0=0) (MISSING=Copy) (1 thru 
    Highest=1) INTO kuech_teil_a kuech_teil_b kuech_teil_c kuech_teil_d kuech_teil_e kuech_teil_f 
    kuech_teil_g.
VARIABLE LABELS  kuech_teil_a 'PmD hilft beim Planen der Mahlzeiten' /kuech_teil_b 'PmD hilft '+
    'beim Einkaufen' /kuech_teil_c 'PmD hilft beim kochen' /kuech_teil_d 'PmD hilft beim abräumen' 
    /kuech_teil_e 'PmD hilft beim abwaschen' /kuech_teil_f 'PmD hilft beim abtrocknen' /kuech_teil_g 
    'PmD hilft beim aufräumen'.
VALUE LABELS   kuech_teil_a 0'Nein' 1'Ja'.
VALUE LABELS   kuech_teil_b 0'Nein' 1'Ja'.
VALUE LABELS   kuech_teil_c 0'Nein' 1'Ja'.
VALUE LABELS   kuech_teil_d 0'Nein' 1'Ja'.
VALUE LABELS   kuech_teil_e 0'Nein' 1'Ja'.
VALUE LABELS   kuech_teil_f 0'Nein' 1'Ja'.
VALUE LABELS   kuech_teil_g 0'Nein' 1'Ja'.
MISSING VALUES   kuech_teil_a (-99) kuech_teil_b (-99) kuech_teil_c (-99) kuech_teil_d (-99) kuech_teil_e (-99) kuech_teil_f (-99) kuech_teil_g (-99).
FORMATS kuech_teil_a kuech_teil_b kuech_teil_c kuech_teil_d kuech_teil_e kuech_teil_f kuech_teil_g (F6).
EXECUTE.

FREQUENCIES    kuech_teil_a kuech_teil_b kuech_teil_c kuech_teil_d kuech_teil_e kuech_teil_f kuech_teil_g.

CROSSTABS
  /TABLES=kuech_teil_a kuech_teil_b kuech_teil_c kuech_teil_d kuech_teil_e kuech_teil_f 
    kuech_teil_g BY PmD_1.2_Geschlecht
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ
  /CELLS=COUNT
  /COUNT ROUND CELL.

USE ALL.
COMPUTE filter_$=(Ehepartner_Kategorie = 1).
VARIABLE LABELS filter_$ 'Ehepartner_Kategorie = 1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

CROSSTABS
  /TABLES=kuech_teil_a kuech_teil_b kuech_teil_c kuech_teil_d kuech_teil_e kuech_teil_f 
    kuech_teil_g BY PmD_1.2_Geschlecht
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ
  /CELLS=COUNT
  /COUNT ROUND CELL.

USE   ALL   .

CROSSTABS
  /TABLES=kuech_teil_a kuech_teil_b kuech_teil_c kuech_teil_d kuech_teil_e kuech_teil_f 
    kuech_teil_g BY  PA_1.2_Geschlecht
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ
  /CELLS=COUNT
  /COUNT ROUND CELL.

CROSSTABS
  /TABLES=kuech_teil_a kuech_teil_b kuech_teil_c kuech_teil_d kuech_teil_e kuech_teil_f 
    kuech_teil_g BY   mmse_drei_stadien
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ
  /CELLS=COUNT
  /COUNT ROUND CELL.

/*In Gesellschaft essen.

FREQUENCIES    PA_8.3a_Ern_Teilhabe PA_8.3b_Ern_Teilhabe PA_8.3c_Ern_Teilhabe.

CROSSTABS
  /TABLES=PA_8.3a_Ern_Teilhabe PA_8.3b_Ern_Teilhabe PA_8.3c_Ern_Teilhabe BY mmse_drei_stadien
  /FORMAT=AVALUE TABLES
 /STATISTICS=CHISQ
  /CELLS=COUNT
  /COUNT ROUND CELL.

CROSSTABS
  /TABLES=PA_8.3a_Ern_Teilhabe PA_8.3b_Ern_Teilhabe PA_8.3c_Ern_Teilhabe BY mmse_drei_stadien
  /FORMAT=AVALUE TABLES
  /CELLS=COUNT COLUMN 
  /COUNT ROUND CELL.

RECODE PA_8.3a_Ern_Teilhabe  PA_8.3b_Ern_Teilhabe PA_8.3c_Ern_Teilhabe (0=0) (MISSING=Copy) (1 thru 
    Highest=1) INTO gemeinsam_essen_a gemeinsam_essen_b gemeinsam_essen_c.
VARIABLE LABELS  gemeinsam_essen_a 'Mit Angehörigen essen Ja/Nein' /gemeinsam_essen_b 'Mit '+
    'Freunden essen Ja/Nein' /gemeinsam_essen_c 'Im Restaurant essen'.
VALUE LABELS   gemeinsam_essen_a 0'Nein' 1'Ja'.
VALUE LABELS   gemeinsam_essen_b 0'Nein' 1'Ja'.
VALUE LABELS   gemeinsam_essen_c 0'Nein' 1'Ja'.
FORMATS   gemeinsam_essen_a  gemeinsam_essen_b  gemeinsam_essen_c (F6).
EXECUTE.

FREQUENCIES   PA_8.3a_Ern_Teilhabe PA_8.3b_Ern_Teilhabe PA_8.3c_Ern_Teilhabe.

FREQUENCIES    gemeinsam_essen_a  gemeinsam_essen_b  gemeinsam_essen_c.

CROSSTABS
  /TABLES=gemeinsam_essen_a gemeinsam_essen_b gemeinsam_essen_c BY mmse_drei_stadien
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ 
  /CELLS=COUNT COLUMN 
  /COUNT ROUND CELL.

/* Pflegende Angehörige.
/*Soziodmografische Merkmal.

FREQUENCIES VARIABLES=AlterAng 
  /FORMAT=NOTABLE
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

FREQUENCIES VARIABLES= PA_1.2_Geschlecht PmD_1.2_Geschlecht
  /ORDER=ANALYSIS.

/*Ehemänner.

USE ALL.
COMPUTE filter_$=(ehepartner_dummy = 1).
VARIABLE LABELS filter_$ 'ehepartner_dummy = 1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

FREQUENCIES  PA_1.2_Geschlecht.

USE   ALL   .

SORT CASES  BY PA_1.2_Geschlecht.
SPLIT FILE SEPARATE BY PA_1.2_Geschlecht.

FREQUENCIES VARIABLES=AlterAng 
  /FORMAT=NOTABLE
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

FREQUENCIES  PA_1.4_Beziehung.

SPLIT FILE   OFF   .

CROSSTABS
  /TABLES=PA_1.4_Beziehung BY PA_1.2_Geschlecht
  /FORMAT=AVALUE TABLES
  /CELLS=COUNT COLUMN 
  /COUNT ROUND CELL.

/*Flexible Arbeitszeiten.

FREQUENCIES    PA_1.10_Beruf.

/*Gesundheutszustand.

SORT CASES  BY PA_1.2_Geschlecht.
SPLIT FILE SEPARATE BY PA_1.2_Geschlecht.

FREQUENCIES VARIABLES=Anzahl_Erkrankungen_PA
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

SPLIT FILE   OFF   .

*Nonparametric Tests: Independent Samples. 
NPTESTS 
  /INDEPENDENT TEST (Anzahl_Erkrankungen_PA) GROUP (PA_1.2_Geschlecht) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

USE ALL.
COMPUTE filter_$=(Ehepartner = 1).
VARIABLE LABELS filter_$ 'Ehepartner = 1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

FREQUENCIES VARIABLES=Anzahl_Erkrankungen_PA  Anzahl_Erkrankungen_PmD
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

Use All.

**************************************************************************************************************************************

 * SELECT IF   Ehepartner=1.
 * Execute.


 * SAVE OUTFILE='C:\Users\ki35mixu\Documents\Statistik\SPSS NUDEM\Quantitativ Bericht\erkrankungen_ehe.sav'
  /COMPRESSED.

 * DATASET ACTIVATE DatenSet9.
 * T-TEST GROUPS=person(1 2)
  /MISSING=ANALYSIS
  /VARIABLES=erkrankung
  /CRITERIA=CI(.95).


**********************************************************************************************************************************

/*Auflistung der Krankheitsgruppen.

FREQUENCIES    herz_vask_pa_dummy magen_pa_dummy.

/*Teilhabe in der Küche, Korrelation mit dem Schweregrad der Demenz.

CORRELATIONS
  /VARIABLES=kuech_teil_a  PmD_MMSE_total
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE.

CORRELATIONS
  /VARIABLES=kuech_teil_b PmD_MMSE_total
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE.

CORRELATIONS
  /VARIABLES=kuech_teil_c PmD_MMSE_total
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE.

CORRELATIONS
  /VARIABLES=kuech_teil_d PmD_MMSE_total
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE.

CORRELATIONS
  /VARIABLES=kuech_teil_e PmD_MMSE_total
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE.

CORRELATIONS
  /VARIABLES=kuech_teil_f PmD_MMSE_total
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE.

CORRELATIONS
  /VARIABLES=kuech_teil_g PmD_MMSE_total
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE.

/*Pflegende Angehörige.

SORT CASES  BY PA_1.2_Geschlecht.
SPLIT FILE LAYERED BY PA_1.2_Geschlecht.

FREQUENCIES    PA_1.4_Beziehung.

FREQUENCIES  PA_3.1u_Erkrankung  PA_3.1t_Erkrankung  PA_3.1e_Erkrankung PA_3.1g_Erkrankung.

SPLIT FILE   OFF   .

/*GDS PA.

FREQUENCIES    AlterAng.

FREQUENCIES    GDS_Stadium.

FREQUENCIES    Assessment_H.

FREQUENCIES   PA_3.7_Sturz.

/*PA älter als 64 Jahre.

RECODE AlterAng (Lowest thru 64=0) (65 thru Highest=1) INTO Alter_PA_65Jahre_dummy.
VARIABLE LABELS  Alter_PA_65Jahre_dummy 'PA ist älter als 64 dummy'.
VALUE LABELS   Alter_PA_65Jahre_dummy 0'Nein' 1'Ja'.
VARIABLE LEVEL   Alter_PA_65Jahre_dummy(NOMINAL   ).
FORMATS   Alter_PA_65Jahre_dummy (F6).
EXECUTE.

FREQUENCIES   Alter_PA_65Jahre_dummy.

USE ALL.
COMPUTE filter_$=(PA_3.7_Sturz > 0).
VARIABLE LABELS filter_$ 'PA_3.7_Sturz > 0 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

FREQUENCIES   Alter_PA_65Jahre_dummy.

FREQUENCIES    PA_3.2f_Beschwerden.

/*Frailty PA.
/*Ein Proband war unter 65 Jahre, dieser wird gefiltert.

USE ALL.
COMPUTE filter_$=(ProbandenID<>'PA_024').
VARIABLE LABELS filter_$ "ProbandenID='PA_024' (FILTER)".
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

FREQUENCIES    Frailty_Index.

SORT CASES  BY PA_1.2_Geschlecht.
SPLIT FILE LAYERED BY PA_1.2_Geschlecht.

FREQUENCIES    Gewichtsverlust Schwäche Schwierigkeiten Erschöpfung Ganggesschwindigkeit Körperliche_Aktivität.

SPLIT FILE   OFF   .
Use   all.

/*HPS-Auswertung.

FREQUENCIES VARIABLES=HPS_Score
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

FREQUENCIES    HPS_Index.

FREQUENCIES    HPS_1 HPS_2 HPS_3 HPS_4 HPS_5 HPS_6 HPS_7 HPS_8 HPS_9 HPS_10.

/*Geteilt nach Geschlecht.

SORT CASES  BY PA_1.2_Geschlecht.
SPLIT FILE LAYERED BY PA_1.2_Geschlecht.

FREQUENCIES    HPS_1 HPS_2 HPS_3 HPS_4 HPS_5 HPS_6 HPS_7 HPS_8 HPS_9 HPS_10.

SPLIT FILE   off  .

/*NPI.

FREQUENCIES VARIABLES=NPI_Schweregrad_Gesamt NPI_Belastung_Gesamt
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

FREQUENCIES  Wahnideen Halluzinationen Agitation_Aggression Depression_Dysphorie   Ängste
Hochstimmung_Euphorie Apathie_Gleichgültigkeit Enthemmung  Reizbarkeit_Labilität Motorische_Störung Verhalten_in_der_Nacht Appetit_Essverhalten.

FREQUENCIES VARIABLES= Wahnideen_Belastung  Halluzinationen_Belastung   Agitation_Aggression_Belastung  Depression_Dysphorie_Belastung   
                                             Ängste_Belastung  Hochstimmung_Euphorie_Belastung  Apathie_Gleichgültigkeit_Belastung
                                             Enthemmung_Belastung  Reizbarkeit_Labilität_Ausmaß Motorische_Störung_Ausmaß  Verhalten_in_der_Nacht_Schweregrad
                                             Appetit_Essverhalten_Ausmaß
                                       /STATISTICS=STDDEV MEAN MINIMUM MAXIMUM
                                      /ORDER=ANALYSIS.

/*Klassifizierung des Alters der PmD.
 
*AlterPmD.
RECODE  AlterPmD (MISSING=COPY) (LO THRU 74=1) (LO THRU 84=2) (LO THRU HI=3) (ELSE=SYSMIS) INTO 
    AlterPmD_klassen.
VARIABLE LABELS  AlterPmD_klassen 'Alter (Jahre) der demenzkranken Person(Klassiert)'.
FORMATS  AlterPmD_klassen (F5.0).
VALUE LABELS  AlterPmD_klassen 1 'bis 74 Jahre' 2 '>74 bis 84 Jahre' 3 '> 84 Jahre'.
MISSING VALUES AlterPmD_klassen (-99.0).
VARIABLE LEVEL  AlterPmD_klassen (ORDINAL).
FORMATS   AlterPmD_klassen (F6).
EXECUTE.

FREQUENCIES   AlterPmD_klassen.

SORT CASES  BY AlterPmD_klassen.
SPLIT FILE LAYERED BY AlterPmD_klassen.

FREQUENCIES  MNA_LF_INDEX_PmD.

/*Ernährungszustand PA.

FREQUENCIES VARIABLES=PA_4.1a_Gewicht
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

SPLIT FILE   OFF   .

SORT CASES  BY PA_1.2_Geschlecht.
SPLIT FILE LAYERED BY PA_1.2_Geschlecht.

FREQUENCIES VARIABLES=PA_4.1a_Gewicht
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

SPLIT FILE   OFF   .

*Nonparametric Tests: Independent Samples. 
NPTESTS 
  /INDEPENDENT TEST (PA_4.1a_Gewicht) GROUP (PA_1.2_Geschlecht) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

FREQUENCIES    PA_4.2b_Gewicht.

FREQUENCIES VARIABLES= BMI_PA
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

SORT CASES  BY PA_1.2_Geschlecht.
SPLIT FILE LAYERED BY PA_1.2_Geschlecht.

FREQUENCIES VARIABLES= BMI_PA
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

SPLIT FILE   off.

*Nonparametric Tests: Independent Samples. 
NPTESTS 
  /INDEPENDENT TEST (BMI_PA) GROUP (PA_1.2_Geschlecht) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

/*Variable PA getrennt nach über 65 Jahre.

RECODE AlterAng (65 thru Highest=1) (ELSE=0) INTO Alter_PA_65Jahre_dummy.
VARIABLE LABELS  Alter_PA_65Jahre_dummy 'PA Alter >= 65 Jahre'.
VALUE LABELS   Alter_PA_65Jahre_dummy 0'Nein' 1'Ja'.
VARIABLE LEVEL   Alter_PA_65Jahre_dummy (NOMINAL   ).
FORMATS   Alter_PA_65Jahre_dummy (F6).
EXECUTE.

FREQUENCIES Alter_PA_65Jahre_dummy.

USE ALL.
COMPUTE filter_$=(Alter_PA_65Jahre_dummy=1).
VARIABLE LABELS filter_$ 'Alter_PA_65Jahre_dummy=1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

DO IF  (Alter_PA_65Jahre_dummy = 1).
RECODE BMI_PA (20 thru Highest=0) (ELSE=1) INTO BMI_PA_unter20_dummy.
END IF.
VARIABLE LABELS  BMI_PA_unter20_dummy 'BMI von PA unter 20 wenn Älter als 65 Jahre?'.
VALUE LABELS   BMI_PA_unter20_dummy 0'Nein' 1'Ja'.
VARIABLE LEVEL   BMI_PA_unter20_dummy (NOMINAL   ).
FORMATS   BMI_PA_unter20_dummy (F6).
EXECUTE.

FREQUENCIES   BMI_PA_unter20_dummy.

DO IF  (Alter_PA_65Jahre_dummy = 1).
RECODE BMI_PA (20 thru Highest=0) (ELSE=1) INTO BMI_PA_unter20_dummy.
END IF.
VARIABLE LABELS  BMI_PA_unter20_dummy 'BMI von PA unter 20 wenn Älter als 65 Jahre?'.
VALUE LABELS   BMI_PA_unter20_dummy 0'Nein' 1'Ja'.
EXECUTE.

/*BMI der PA in die WHO-Stufen klassifizieren.
* Visuelles Klassieren.
*BMI_PA.
RECODE  BMI_PA (MISSING=COPY) (LO THRU 18.5=1) (LO THRU 25=2) (LO THRU 30=3) (LO THRU HI=4) 
    (ELSE=SYSMIS) INTO bmi_klass_who.
VARIABLE LABELS  bmi_klass_who 'BMI (kg/m2)(Klassiert)'.
FORMATS  bmi_klass_who (F5.0).
VALUE LABELS  bmi_klass_who 1 'bis 18,5' 2 '18,5 bis 25' 3 '25 bis 30' 4 'über 30'.
MISSING VALUES bmi_klass_who (-99.0).
VARIABLE LEVEL  bmi_klass_who (ORDINAL).
EXECUTE.

FREQUENCIES   bmi_klass_who.

USE ALL.
COMPUTE filter_$=(Alter_PA_65Jahre_dummy=0).
VARIABLE LABELS filter_$ 'Alter_PA_65Jahre_dummy=0 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

FREQUENCIES   bmi_klass_who.

USE   ALL   .

/*MNA PA.

FREQUENCIES VARIABLES=MNA_LF_SCORE
  /FORMAT=NOTABLE
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

FREQUENCIES    MNA_LF_INDEX.

/*Korrelation mit den Variablen NPI MNA-LF und HPS.
CORRELATIONS
  /VARIABLES=HPS_Score MNA_LF_SCORE NPI_Belastung_Gesamt
  /PRINT=TWOTAIL NOSIG
  /STATISTICS DESCRIPTIVES
  /MISSING=LISTWISE.

/*Nach Geschlecht getrennt.

SORT CASES  BY PA_1.2_Geschlecht.
SPLIT FILE LAYERED BY PA_1.2_Geschlecht.

CORRELATIONS
  /VARIABLES=HPS_Score MNA_LF_SCORE NPI_Belastung_Gesamt
  /PRINT=TWOTAIL NOSIG
  /STATISTICS DESCRIPTIVES
  /MISSING=LISTWISE.

SPLIT FILE   OFF   .

* Diagrammerstellung.
GGRAPH
  /GRAPHDATASET NAME="graphdataset" VARIABLES=MNA_LF_SCORE PmD_MMSE_total MISSING=LISTWISE 
    REPORTMISSING=NO
  /GRAPHSPEC SOURCE=INLINE.
BEGIN GPL
  SOURCE: s=userSource(id("graphdataset"))
  DATA: MNA_LF_SCORE=col(source(s), name("MNA_LF_SCORE"))
  DATA: PmD_MMSE_total=col(source(s), name("PmD_MMSE_total"))
  GUIDE: axis(dim(1), label("MNA-LF Score PA"))
  GUIDE: axis(dim(2), label("Mini Mental Status Exam (max. 30)"))
  ELEMENT: point(position(MNA_LF_SCORE*PmD_MMSE_total))
END GPL.

/*Essen sie genügend.

FREQUENCIES    PA_5.1_Ernährung.

/*Zeit pro Mahlzeit.

SORT CASES  BY PA_2.1_Wohnort.
SPLIT FILE LAYERED BY PA_2.1_Wohnort.

FREQUENCIES VARIABLES= PA_8.2a_Ern_Teilhabe
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

SPLIT FILE   off.

/*Unterschied zwischen getrennt und zusammenleben.

USE ALL.
COMPUTE filter_$=(PA_8.2a_Ern_Teilhabe  <=   100).
VARIABLE LABELS filter_$ 'PA_8.2a_Ern_Teilhabe  <=   100 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

*Nonparametric Tests: Independent Samples. 
NPTESTS 
  /INDEPENDENT TEST (PA_8.2a_Ern_Teilhabe) GROUP (PA_2.1_Wohnort) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

USE   ALL   .

SORT CASES  BY PA_2.1_Wohnort.
SPLIT FILE LAYERED BY PA_2.1_Wohnort.

FREQUENCIES VARIABLES= PA_7.15b_Ern_RUD
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

SPLIT FILE   off.

FREQUENCIES    PA_7.16a_Ern_RUD PA_7.16b_Ern_RUD PA_7.16c_Ern_RUD PA_7.16d_Ern_RUD.

USE ALL.
COMPUTE filter_$=(PA_1.2_Geschlecht = 0).
VARIABLE LABELS filter_$ 'PA_1.2_Geschlecht = 0 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

FREQUENCIES    PA_5.5c_Ernährung.

USE ALL.
COMPUTE filter_$=(PA_1.2_Geschlecht = 0 and Ehepartner_Kategorie=1).
VARIABLE LABELS filter_$ 'PA_1.2_Geschlecht = 0 and Ehepartner_Kategorie=1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

FREQUENCIES    PA_5.5b_Ernährung PA_5.5c_Ernährung PA_5.5a_Ernährung.

USE   all.

/*Kinder.
USE ALL.
COMPUTE filter_$=(PA_1.4_Beziehung >= 2  AND PA_1.4_Beziehung <= 3).
VARIABLE LABELS filter_$ 'PA_1.4_Beziehung = 2  AND PA_1.4_Beziehung = 3 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

FREQUENCIES    PA_5.5b_Ernährung PA_5.5c_Ernährung PA_5.5a_Ernährung.

USE ALL.
COMPUTE filter_$=(PA_1.2_Geschlecht = 0 and Ehepartner_Kategorie=1 and  PA_5.5b_Ernährung=0).
VARIABLE LABELS filter_$ 'PA_1.2_Geschlecht = 0 and Ehepartner_Kategorie=1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

FREQUENCIES VARIABLES=PA_7.3b_Ern_RUD
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

/*Kinder.
USE ALL.
COMPUTE filter_$=(PA_1.4_Beziehung >= 2  AND PA_1.4_Beziehung <= 3 and PA_5.5b_Ernährung=0 ).
VARIABLE LABELS filter_$ 'PA_1.4_Beziehung = 2  AND PA_1.4_Beziehung = 3 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

FREQUENCIES VARIABLES=PA_7.3b_Ern_RUD
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

USE   ALL   .

/*Wissen.

FREQUENCIES    PA_11.3a_Wissen PA_11.3b_Wissen PA_11.3c_Wissen PA_11.3d_Wissen PA_11.3e_Wissen.


SORT CASES  BY PA_1.2_Geschlecht.
SPLIT FILE LAYERED BY PA_1.2_Geschlecht.

FREQUENCIES    PA_11.3a_Wissen PA_11.3b_Wissen PA_11.3c_Wissen PA_11.3d_Wissen PA_11.3e_Wissen.

SPLIT FILE   OFF   .

SORT CASES  BY Ehepartner_Kategorie.
SPLIT FILE LAYERED BY Ehepartner_Kategorie.

FREQUENCIES    PA_11.3a_Wissen PA_11.3b_Wissen PA_11.3c_Wissen PA_11.3d_Wissen PA_11.3e_Wissen.

SPLIT FILE   OFF   .

SORT CASES  BY Alter_PA_65Jahre_dummy.
SPLIT FILE LAYERED BY Alter_PA_65Jahre_dummy.

FREQUENCIES    PA_11.3a_Wissen PA_11.3b_Wissen PA_11.3c_Wissen PA_11.3d_Wissen PA_11.3e_Wissen.

SPLIT FILE   OFF   .

/*Umkodieren der Wissensvariablen.

RECODE PA_11.3a_Wissen PA_11.3b_Wissen PA_11.3c_Wissen PA_11.3d_Wissen PA_11.3e_Wissen (2=2) (3=3) 
    (MISSING=Copy) (0=1) (1=1) INTO PA11_3_wissen_ernall PA11_3_mangel PA11_3_ErnDem PA11_3_EssSchl 
    PA11_3_DemUnters.
VARIABLE LABELS  PA11_3_wissen_ernall 'Neu Skalierung: wie hoch schätzen sie ihr Wissen bezgl. '+
    'Ernährung allgemein ein' /PA11_3_mangel 'Neu Skalierung: wie hoch schätzen sie ihr Wissen bezgl. Mangelernährung' /PA11_3_ErnDem
    'Neu Skalierung: wie hoch schätzen sie ihr Wissen bezgl. Ernährung und Demenz ein' /PA11_3_EssSchl
    'Neu Skalierung: wie hoch schätzen sie ihr Wissen bezgl. Ess- und Schluckstörungen ein'  
    /PA11_3_DemUnters 'Neu Skalierung: wie hoch schätzen sie ihr Wissen bezgl.Demenzkranke zu unterstützen ein'.
   VALUE LABELS   PA11_3_wissen_ernall 1'keine bis geringe Kenntnisse' 2'mittlere Kenntnisse' 3'hohe Kenntnisse' .
   VALUE LABELS   PA11_3_mangel  1'keine bis geringe Kenntnisse' 2'mittlere Kenntnisse' 3'hohe Kenntnisse' .
   VALUE LABELS   PA11_3_ErnDem 1'keine bis geringe Kenntnisse' 2'mittlere Kenntnisse' 3'hohe Kenntnisse' .
   VALUE LABELS   PA11_3_EssSchl 1'keine bis geringe Kenntnisse' 2'mittlere Kenntnisse' 3'hohe Kenntnisse'  .
   VALUE LABELS   PA11_3_DemUnters 1'keine bis geringe Kenntnisse' 2'mittlere Kenntnisse' 3'hohe Kenntnisse' .
VARIABLE LEVEL   PA11_3_wissen_ernall PA11_3_mangel PA11_3_ErnDem PA11_3_EssSchl PA11_3_DemUnters (   ORDINAL).
FORMATS   PA11_3_wissen_ernall PA11_3_mangel PA11_3_ErnDem PA11_3_EssSchl PA11_3_DemUnters (F6).
EXECUTE.

FREQUENCIES    PA11_3_wissen_ernall PA11_3_mangel PA11_3_ErnDem PA11_3_EssSchl PA11_3_DemUnters.

FREQUENCIES    PA_11.4_Wissen.

SORT CASES  BY Alter_PA_65Jahre_dummy.
SPLIT FILE LAYERED BY Alter_PA_65Jahre_dummy.

FREQUENCIES    PA_11.4_Wissen.

SPLIT FILE   OFF   .

CROSSTABS
  /TABLES=Alter_PA_65Jahre_dummy BY PA_11.4_Wissen
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ 
  /CELLS=COUNT
  /COUNT ROUND CELL.

/*Erwartete Häufigkeit kleiner 5.

FREQUENCIES    PA_11.5_Wissen PA_11.6a_Wissen PA_11.6b_Wissen PA_11.6c_Wissen PA_11.6d_Wissen 
                           PA_11.6e_Wissen PA_11.6f_Wissen PA_11.6g_Wissen PA_11.6h_Wissen PA_11.6i_Wissen PA_11.6j_Wissen.

FREQUENCIES    PA_11.7_Wissen.

USE ALL.
COMPUTE filter_$=(PA11_3_ErnDem=1).
VARIABLE LABELS filter_$ 'PA11_3_ErnDem=1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE. 

FREQUENCIES    PA_11.7_Wissen.

Use   ALL   .

FREQUENCIES   PA_11.9a_Wissen PA_11.9b_Wissen PA_11.8_Wissen.

/*Pflegestufen für komplett Kollektiv.

RECODE PmD_1.9_Pflegeversicherung (MISSING=0) (ELSE=Copy) INTO Pflegestufen_komplett.
VARIABLE LABELS  Pflegestufen_komplett 'Pflegestufen des Gesamtkollektiv'.
VALUE LABELS   Pflegestufen_komplett 1'Pflegestufe 1' 2'Pflegestufe 2' 3'Pflegestufe 3' 4'Pflegestufe 3+'.
FORMATS  Pflegestufen_komplett (F6).
VARIABLE LEVEL   Pflegestufen_komplett (ORDINAL   ).
EXECUTE.

FREQUENCIES   Pflegestufen_komplett.

CROSSTABS
  /TABLES=Pflegestufen_komplett BY MMSE_4stadien
  /FORMAT=AVALUE TABLES
  /CELLS=COUNT
  /COUNT ROUND CELL.

/*Signifikante Unterschiede beim MMSE.
*Nonparametric Tests: Independent Samples. 
NPTESTS 
  /INDEPENDENT TEST (PmD_MMSE_total) GROUP (PmD_1.2_Geschlecht) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

CORRELATIONS
  /VARIABLES=AlterPmD PmD_MMSE_total
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE.

/*Berechnung des Gewichtsverlustes übliches Gewicht vor der Demenz und aktuell.

COMPUTE Gewichtsverlust_seit_demenz= PmD_4.1a_Gewicht - PmD_4.2a_Gewicht.
VARIABLE LABELS   Gewichtsverlust_seit_demenz 'Gewichtsverlust übliches Gewicht vor der Demenz und aktuell'.
VARIABLE LEVEL   Gewichtsverlust_seit_demenz (SCALE   ).
FORMATS   Gewichtsverlust_seit_demenz (F6.1).
EXECUTE.

FREQUENCIES Gewichtsverlust_seit_demenz.

FREQUENCIES    MMSE_4stadien.

***************************************************************************************************************************************
 * Boxplots Demenz Drei Stadien.
* Diagrammerstellung.
GGRAPH
  /GRAPHDATASET NAME="graphdataset" VARIABLES=mmse_drei_stadien BMI_PmD MISSING=LISTWISE 
    REPORTMISSING=NO
  /GRAPHSPEC SOURCE=INLINE.
BEGIN GPL
  SOURCE: s=userSource(id("graphdataset"))
  DATA: mmse_drei_stadien=col(source(s), name("mmse_drei_stadien"), unit.category())
  DATA: BMI_PmD=col(source(s), name("BMI_PmD"))
  DATA: id=col(source(s), name("$CASENUM"), unit.category())
  GUIDE: axis(dim(2), label("kg/m2"))
  SCALE: cat(dim(1), include("0", "1", "2"))
  SCALE: linear(dim(2), include(0))
  ELEMENT: schema(position(bin.quantile.letter(mmse_drei_stadien*BMI_PmD)), label(id))
TRANS: labelPosition = eval(0)
  ELEMENT: point(position(mmse_drei_stadien*labelPosition), size(size."0px"), label("N = "), label(summary.count()))
END GPL.

* Diagrammerstellung.
GGRAPH
  /GRAPHDATASET NAME="graphdataset" VARIABLES=mmse_drei_stadien MNA_LF_Score_PmD MISSING=LISTWISE 
    REPORTMISSING=NO
  /GRAPHSPEC SOURCE=INLINE.
BEGIN GPL
  SOURCE: s=userSource(id("graphdataset"))
  DATA: mmse_drei_stadien=col(source(s), name("mmse_drei_stadien"), unit.category())
  DATA: MNA_LF_Score_PmD=col(source(s), name("MNA_LF_Score_PmD"))
  DATA: id=col(source(s), name("$CASENUM"), unit.category())
  GUIDE: axis(dim(2), label("kg/m2"))
  SCALE: cat(dim(1), include("0", "1", "2"))
  SCALE: linear(dim(2), include(0))
  ELEMENT: schema(position(bin.quantile.letter(mmse_drei_stadien*MNA_LF_Score_PmD)), label(id))
TRANS: labelPosition = eval(0)
  ELEMENT: point(position(mmse_drei_stadien*labelPosition), size(size."0px"), label("N = "), label(summary.count()))
END GPL.

******************************************************************************************************************************************************************
 
FREQUENCIES   mmse_drei_stadien.

*Nonparametric Tests: Independent Samples. 
NPTESTS 
  /INDEPENDENT TEST (MNA_LF_Score_PmD) GROUP (Apathie_Gleichgültigkeit) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

NPTESTS 
  /INDEPENDENT TEST (MNA_LF_Score_PmD) GROUP (Wahnideen) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

NPTESTS 
  /INDEPENDENT TEST (MNA_LF_Score_PmD) GROUP (Halluzinationen) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

NPTESTS 
  /INDEPENDENT TEST (MNA_LF_Score_PmD) GROUP (Depression_Dysphorie) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

NPTESTS 
  /INDEPENDENT TEST (MNA_LF_Score_PmD) GROUP (Ängste) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

NPTESTS 
  /INDEPENDENT TEST (MNA_LF_Score_PmD) GROUP (Hochstimmung_Euphorie) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

NPTESTS 
  /INDEPENDENT TEST (MNA_LF_Score_PmD) GROUP (Enthemmung) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

NPTESTS 
  /INDEPENDENT TEST (MNA_LF_Score_PmD) GROUP (Reizbarkeit_Labilität) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

NPTESTS 
  /INDEPENDENT TEST (MNA_LF_Score_PmD) GROUP (Motorische_Störung) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

NPTESTS 
  /INDEPENDENT TEST (MNA_LF_Score_PmD) GROUP (Verhalten_in_der_Nacht) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

NPTESTS 
  /INDEPENDENT TEST (MNA_LF_Score_PmD) GROUP (Appetit_Essverhalten) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

/*GDS nur über 65 Jahre.
         
USE ALL.
COMPUTE filter_$=(Alter_PA_65Jahre_dummy=1).
VARIABLE LABELS filter_$ 'Alter_PA_65Jahre_dummy=1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

FREQUENCIES  GDS_Stadium.

SORT CASES  BY Ehepartner_Kategorie.
SPLIT FILE LAYERED BY Ehepartner_Kategorie.

SPLIT FILE   off.

SORT CASES  BY PA_1.2_Geschlecht.
SPLIT FILE LAYERED BY PA_1.2_Geschlecht.

FREQUENCIES  PmD_4.2b_Gewicht.


FREQUENCIES VARIABLES=MNA_LF_SCORE
  /FORMAT=NOTABLE
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

FREQUENCIES    MNA_LF_INDEX.

SPLIT FILE   off.

*Nonparametric Tests: Independent Samples. 
NPTESTS 
  /INDEPENDENT TEST (MNA_LF_SCORE) GROUP (PA_1.2_Geschlecht) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

SPLIT FILE   off.
Use all.

FREQUENCIES Teilnahme_qualitativ.  

SORT CASES  BY Teilnahme_qualitativ.
SPLIT FILE LAYERED BY Teilnahme_qualitativ.

FREQUENCIES    Depression_Dysphorie_Belastung Apathie_Gleichgültigkeit_Belastung.

FREQUENCIES  Wahnideen Halluzinationen Agitation_Aggression Depression_Dysphorie Ängste Hochstimmung_Euphorie Apathie_Gleichgültigkeit
 Enthemmung Reizbarkeit_Labilität Motorische_Störung Verhalten_in_der_Nacht Appetit_Essverhalten.


FREQUENCIES VARIABLES=BMI_PmD PmD_MMSE_total MNA_LF_Score_PmD ugv_12_Monate_pmd AlterAng 
    PA_1.2_Geschlecht EDFEDSCORE HPS_Score GBB_Gesamt_Score MNA_SF_Score AlterPmD  NPI_Schweregrad_Gesamt NPI_Belastung_Gesamt
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

SPLIT FILE   off.

* Diagrammerstellung: Streudiagramm Alter der Angehörigen und BMI.
GGRAPH
  /GRAPHDATASET NAME="graphdataset" VARIABLES=BMI_PA AlterAng 
    PA_1.2_Geschlecht[name="PA_1_2_Geschlecht"] MISSING=LISTWISE REPORTMISSING=NO
  /GRAPHSPEC SOURCE=INLINE.
BEGIN GPL
  SOURCE: s=userSource(id("graphdataset"))
  DATA: BMI_PA=col(source(s), name("BMI_PA"))
  DATA: AlterAng=col(source(s), name("AlterAng"))
  DATA: PA_1_2_Geschlecht=col(source(s), name("PA_1_2_Geschlecht"), unit.category())
  GUIDE: axis(dim(1), label("kg/m2"))
  GUIDE: axis(dim(2), label("Alter der pflegenden Angehörigen"))
  GUIDE: legend(aesthetic(aesthetic.color.exterior), label("Geschlecht der pflegenden Person"))
  SCALE: cat(aesthetic(aesthetic.color.exterior), include("0", "1"))
  ELEMENT: point(position(BMI_PA*AlterAng), color.exterior(PA_1_2_Geschlecht))
END GPL.


/*Tabelle 5-21.

/*Vergleich Interviewgruppe.

/*Alter PmD.
*Nonparametric Tests: Independent Samples. 
NPTESTS 
  /INDEPENDENT TEST ( AlterPmD) GROUP (Teilnahme_qualitativ) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.


SORT CASES  BY Teilnahme_qualitativ.
SPLIT FILE LAYERED BY Teilnahme_qualitativ.

FREQUENCIES VARIABLES=AlterPmD
  /FORMAT=NOTABLE
  /STATISTICS=STDDEV MEAN
  /ORDER=ANALYSIS.

SPLIT FILE   off.

/*MMSE.

NPTESTS 
  /INDEPENDENT TEST (  PmD_MMSE_total) GROUP (Teilnahme_qualitativ) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

SORT CASES  BY Teilnahme_qualitativ.
SPLIT FILE LAYERED BY Teilnahme_qualitativ.

FREQUENCIES VARIABLES=PmD_MMSE_total
  /FORMAT=NOTABLE
  /STATISTICS=STDDEV MEAN
  /ORDER=ANALYSIS.

SPLIT FILE   off.

/*NPI-Q: Ausprägung Apathie.

RECODE  Apathie_Gleichgültigkeit_Schweregrad (1=Copy) (2=Copy) (3=Copy) (ELSE=0) INTO 
    Apathie_signifikanz.
VARIABLE LABELS  Apathie_signifikanz 'Apathie_Belastung_inteview Variable für Signifikanz-Prüfung'.
VARIABLE LEVEL   Apathie_signifikanz (scale).
FORMATS   Apathie_signifikanz (F6).
EXECUTE.

FREQUENCIES   Apathie_signifikanz.

NPTESTS 
  /INDEPENDENT TEST ( Apathie_signifikanz) GROUP (Teilnahme_qualitativ) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

SORT CASES  BY Teilnahme_qualitativ.
SPLIT FILE LAYERED BY Teilnahme_qualitativ.

FREQUENCIES VARIABLES=Apathie_signifikanz
  /FORMAT=NOTABLE
  /STATISTICS=STDDEV MEAN
  /ORDER=ANALYSIS.

SPLIT FILE   off.

/*NPI-Q: Ausprägung Depression.

RECODE   Depression_Dysphorie_Schweregrad (1=Copy) (2=Copy) (3=Copy) (ELSE=0) INTO 
    Depression_signifikanz.
VARIABLE LABELS  Depression_signifikanz 'Depression_Belastung_inteview'.
VARIABLE LEVEL   Depression_signifikanz (scale).
FORMATS   Depression_signifikanz (F6).
EXECUTE.

FREQUENCIES   Depression_signifikanz.

NPTESTS 
  /INDEPENDENT TEST ( Depression_signifikanz) GROUP (Teilnahme_qualitativ) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.


SORT CASES  BY Teilnahme_qualitativ.
SPLIT FILE LAYERED BY Teilnahme_qualitativ.

FREQUENCIES VARIABLES=Depression_signifikanz
  /FORMAT=NOTABLE
  /STATISTICS=STDDEV MEAN
  /ORDER=ANALYSIS.

SPLIT FILE   off.

/*EDFED.

NPTESTS 
  /INDEPENDENT TEST (   EDFEDSCORE) GROUP (Teilnahme_qualitativ) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.


SORT CASES  BY Teilnahme_qualitativ.
SPLIT FILE LAYERED BY Teilnahme_qualitativ.

FREQUENCIES VARIABLES=EDFEDSCORE
  /FORMAT=NOTABLE
  /STATISTICS=STDDEV MEAN
  /ORDER=ANALYSIS.

SPLIT FILE   off.

/*BMI_PMD.

NPTESTS 
  /INDEPENDENT TEST (    BMI_PmD) GROUP (Teilnahme_qualitativ) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.


SORT CASES  BY Teilnahme_qualitativ.
SPLIT FILE LAYERED BY Teilnahme_qualitativ.

FREQUENCIES VARIABLES=BMI_PmD
  /FORMAT=NOTABLE
  /STATISTICS=STDDEV MEAN
  /ORDER=ANALYSIS.

SPLIT FILE   off.

*MNA-LF_PMD.

NPTESTS 
  /INDEPENDENT TEST (     MNA_LF_Score_PmD) GROUP (Teilnahme_qualitativ) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

SORT CASES  BY Teilnahme_qualitativ.
SPLIT FILE LAYERED BY Teilnahme_qualitativ.

FREQUENCIES VARIABLES=MNA_LF_Score_PmD
  /FORMAT=NOTABLE
  /STATISTICS=STDDEV MEAN
  /ORDER=ANALYSIS.

SPLIT FILE   off.

/*Alter_PA.

NPTESTS 
  /INDEPENDENT TEST (      AlterAng) GROUP (Teilnahme_qualitativ) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

SORT CASES  BY Teilnahme_qualitativ.
SPLIT FILE LAYERED BY Teilnahme_qualitativ.

FREQUENCIES VARIABLES=AlterAng
  /FORMAT=NOTABLE
  /STATISTICS=STDDEV MEAN
  /ORDER=ANALYSIS.

SPLIT FILE   off.

/*HPS_PA.

NPTESTS 
  /INDEPENDENT TEST (   HPS_Score) GROUP (Teilnahme_qualitativ) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

SORT CASES  BY Teilnahme_qualitativ.
SPLIT FILE LAYERED BY Teilnahme_qualitativ.

FREQUENCIES VARIABLES=HPS_Score
  /FORMAT=NOTABLE
  /STATISTICS=STDDEV MEAN
  /ORDER=ANALYSIS.

SPLIT FILE   off.

/*NPI_Belastung_PA.

NPTESTS 
  /INDEPENDENT TEST (    NPI_Belastung_Gesamt) GROUP (Teilnahme_qualitativ) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.


SORT CASES  BY Teilnahme_qualitativ.
SPLIT FILE LAYERED BY Teilnahme_qualitativ.

FREQUENCIES VARIABLES=NPI_Belastung_Gesamt
  /FORMAT=NOTABLE
  /STATISTICS=STDDEV MEAN
  /ORDER=ANALYSIS.

SPLIT FILE   off.

/*BMI_PA.

NPTESTS 
  /INDEPENDENT TEST (     BMI_PA) GROUP (Teilnahme_qualitativ) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

SORT CASES  BY Teilnahme_qualitativ.
SPLIT FILE LAYERED BY Teilnahme_qualitativ.

FREQUENCIES VARIABLES=BMI_PA
  /FORMAT=NOTABLE
  /STATISTICS=STDDEV MEAN
  /ORDER=ANALYSIS.

SPLIT FILE   off.

/*MNA_PA.

USE ALL.
COMPUTE filter_$=(Alter_PA_65Jahre_dummy=1).
VARIABLE LABELS filter_$ 'Alter_PA_65Jahre_dummy=1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

NPTESTS 
  /INDEPENDENT TEST (      MNA_LF_SCORE) GROUP (Teilnahme_qualitativ) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

SORT CASES  BY Teilnahme_qualitativ.
SPLIT FILE LAYERED BY Teilnahme_qualitativ.

FREQUENCIES VARIABLES=MNA_LF_SCORE
  /FORMAT=NOTABLE
  /STATISTICS=STDDEV MEAN
  /ORDER=ANALYSIS.

SPLIT FILE   off.

*Nonparametric Tests: Independent Samples. 
NPTESTS 
  /INDEPENDENT TEST (MNA_LF_SCORE) GROUP (Teilnahme_qualitativ) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

USE    ALL   .

*Nonparametric Tests: Independent Samples. 
NPTESTS 
  /INDEPENDENT TEST (AlterPmD) GROUP (Teilnahme_qualitativ) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

SORT CASES  BY Teilnahme_qualitativ.
SPLIT FILE LAYERED BY Teilnahme_qualitativ.

FREQUENCIES VARIABLES=AlterAng
  /STATISTICS=STDDEV MEAN
  /ORDER=ANALYSIS.

FREQUENCIES VARIABLES=HPS_Score NPI_Belastung_Gesamt BMI_PA
  /FORMAT=NOTABLE
  /STATISTICS=STDDEV MEAN
  /ORDER=ANALYSIS.

/*Berechnung des BMI und Eunteilung nach WHO geteil durch 65 Variable.

SORT CASES  BY Alter_PA_65Jahre_dummy.
SPLIT FILE LAYERED BY Alter_PA_65Jahre_dummy.

FREQUENCIES VARIABLES=BMI_PA
  /FORMAT=NOTABLE
  /NTILES=4
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

SPLIT FILE   OFF   .

USE ALL.
COMPUTE filter_$=(Alter_PA_65Jahre_dummy = 1).
VARIABLE LABELS filter_$ 'Alter_PA_65Jahre_dummy = 1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

FREQUENCIES    bmi_klass_who.

/* Berechnung eines relevanten Gewichtsverlustes mehr wie 4% in 12 Monaten.

RECODE  ugv_12_Monate_pmd (MISSING=Copy) (Lowest thru 0=Copy) (0 thru Highest=0) INTO 
    gw_verlust_12monate.
VARIABLE LABELS  gw_verlust_12monate 'Gewicht was der PmDBewohner in 12 Monaten verloren hat'.
VARIABLE LEVEL   gw_verlust_12monate (SCALE   ).
FORMATS   gw_verlust_12monate (F6.1).
EXECUTE.

FREQUENCIES   gw_verlust_12monate.

COMPUTE   ugv_12monate_4per_bi=-999.
MISSING VALUES   ugv_12monate_4per_bi (-999).
VARIABLE LABELS   ugv_12monate_4per_bi'PMD hat mehr UGV (4%) über 12 Monate'.
VALUE LABELS   ugv_12monate_4per_bi 0'nein' 1'ja'.
VARIABLE LEVEL   ugv_12monate_4per_bi (NOMINAL   ).
FORMATS   ugv_12monate_4per_bi (F6).
EXECUTE   .

IF  (( PmD_4.1a_Gewicht*-0.04) >= ugv_12_Monate_pmd) ugv_12monate_4per_bi=1. 
IF  ((PmD_4.1a_Gewicht*-0.04) < ugv_12_Monate_pmd) ugv_12monate_4per_bi=0.
EXECUTE   . 

FREQUENCIES   ugv_12monate_4per_bi.

FREQUENCIES   PmD_4.1a_Gewicht  PmD_4.5c_Gewicht.

RECODE PmD_3.7_Sturz (MISSING=Copy) (0=0) (1=1) (2=1) INTO sturz_pmd_bi.
VARIABLE LABELS  sturz_pmd_bi 'Gestürzt ja/nein'.
VALUE LABELS   sturz_pmd_bi 0'Nein' 1'Ja'.
VARIABLE LEVEL   sturz_pmd_bi (NOMINAL   ).
FORMATS   sturz_pmd_bi (F6).
EXECUTE.

FREQUENCIES sturz_pmd_bi.  

/*Angehörige auf Ernährung angesprochen.

FREQUENCIES VARIABLES=PA_3.10_Arztbesuch
  /ORDER=ANALYSIS.

/* Älter bzw. jünger wie 65 Jahre.

SORT CASES  BY Alter_PA_65Jahre_dummy.
SPLIT FILE LAYERED BY Alter_PA_65Jahre_dummy.

FREQUENCIES VARIABLES=PA_3.10_Arztbesuch
  /ORDER=ANALYSIS.

SPLIT FILE   OFF   .

/*Wieviele PA’s mit Übergewicht oder Adipositas.

USE ALL.
COMPUTE filter_$=(bmi_klass_who=4).
VARIABLE LABELS filter_$ 'bmi_klass_who=4 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

FREQUENCIES VARIABLES=PA_3.10_Arztbesuch
  /ORDER=ANALYSIS.

USE   ALL   .

/*EDFED Berechnung des anteilsder PmD mit ablehnenden Essverhalten.

/*Berechung der Dummy.

Compute ablehn_essverhalten=0.
MISSING VALUES   ablehn_essverhalten(-999).
VARIABLE LABELS   ablehn_essverhalten 'Ablehndes Essverhalten ja/Nein'.
VALUE LABELS   ablehn_essverhalten 0'Nein' 1'Ja'.
VARIABLE LEVEL   ablehn_essverhalten (NOMINAL   ).
FORMATS   ablehn_essverhalten (F6).
EXECUTE   .

IF  PA_9.9_EdFED>0 ablehn_essverhalten=1.
IF  PA_9.10_EdFED>0 ablehn_essverhalten=1.
IF  PA_9.11_EdFED>0 ablehn_essverhalten=1.
IF  PA_9.12_EdFED>0 ablehn_essverhalten=1.
IF  PA_9.13_EdFED>0 ablehn_essverhalten=1.
IF  PA_9.14_EdFED>0 ablehn_essverhalten=1.
EXECUTE   .

FREQUENCIES   ablehn_essverhalten.


FREQUENCIES   PA_7.14_Ern_RUD.

FREQUENCIES   PA_7.15a_Ern_RUD.


FREQUENCIES PA_7.13_Ern_RUD.














